Subject: bug#18493: 24.3.93; posn-col-row should take text-scale-mode into account

From: Drew Adams <[email-masked]>
Date: Thu, 18 Sep 2014 08:37:21 -0700 (PDT)

> > I don't understand why the value changing helps, instead of hurts,
> > in that context.  I would think that the column should not change
> > just because the text is scaled.  But I'm probably missing
> something.
> 
> Take a look at the implementation. The function takes pixel
> coordinates and divides them by the frame-default character dimensions.
> text-scale-mode is buffer-local, so it doesn't change the latter.

Yes, I guessed that.  That sounds like the wrong behavior, to me.
The frame char size is not useful here, I would think.  What counts,
for visual _columns_ is the visual char size, i.e., from text scaling.

IOW, I don't see why scaling is not taken into account when
calculating the position in column terms.  But what do I know?
I'm just asking what the rationale or use case is behind this behavior.

> That was my point.

Yes, I gathered that.  Dunno whether we are saying the same thing
or not.  I'm questioning whether the frame char size or the
text-scale char size should be used, to define what "columns" are
here.

I would think the latter.  But I haven't tried to think this
through carefully.  Perhaps there are other considerations
motivating this design, which have not occurred to me.